UpdateIntegratedResources
Updates the integrated resources for an agent space, including their capabilities.
Request Syntax
POST /UpdateIntegratedResources HTTP/1.1
Content-type: application/json
{
"agentSpaceId": "string",
"integrationId": "string",
"items": [
{
"capabilities": { ... },
"resource": { ... }
}
]
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- agentSpaceId
-
The unique identifier of the agent space.
Type: String
Required: Yes
- integrationId
-
The unique identifier of the integration.
Type: String
Required: Yes
- items
-
The list of integrated resource items to update.
Type: Array of IntegratedResourceInputItem objects
Required: Yes
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
- message
-
Error description.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the resource.
- message
-
Error description.
HTTP Status Code: 409
- InternalServerException
-
An unexpected error occurred during the processing of your request.
- message
-
Error description.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.
- message
-
Error description.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- message
-
Error description.
- quotaCode
-
Quota code for throttling limit.
- serviceCode
-
Service code for throttling limit.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
- fieldList
-
A list of specific failures encountered during validation.
- message
-
A summary of the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: